/* 
 * ========================================================================
 * 
 * Copyright 2005 Tim O'Brien.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
 */
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;

import org.apache.commons.lang.time.DateFormatUtils;
import org.apache.commons.lang.time.DateUtils;
import org.apache.commons.lang.time.FastDateFormat;

public class MainClass {

    public static void main(String[] pArgs) throws Exception {
      FastDateFormat sdf = DateFormatUtils.ISO_DATETIME_TIME_ZONE_FORMAT;
      Date now = new Date();
      Date nearestHour = DateUtils.round(now, Calendar.HOUR);
      Date nearestMonth = DateUtils.round(now, Calendar.MONTH);
      Date nearestYear = DateUtils.round(now, Calendar.YEAR);
      System.out.println("now: " + sdf.format(now));
      System.out.println("round hour: " + sdf.format(nearestHour));
      System.out.println("round month: " + sdf.format(nearestMonth));
      System.out.println("round year: " + sdf.format(nearestYear));
    }
}
/*
now: 2007-05-08T15:24:52-07:00
round hour: 2007-05-08T15:00:00-07:00
round month: 2007-05-01T00:00:00-07:00
round year: 2007-01-01T00:00:00-08:00
 */